summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
authorNicolás Reynolds <fauno@kiwwwi.com.ar>2011-01-31 15:39:33 -0300
committerNicolás Reynolds <fauno@kiwwwi.com.ar>2011-01-31 15:39:33 -0300
commit069bf1c8c8b2eea3dc8480080a549daea63c184e (patch)
treec21ba7b6fd676caa2ae5ad71cedf5971acbdf980 /libre
parentfb95f6999eee483983cdd52954db0d28fe7f1a75 (diff)
downloadabslibre-069bf1c8c8b2eea3dc8480080a549daea63c184e.tar.gz
abslibre-069bf1c8c8b2eea3dc8480080a549daea63c184e.tar.bz2
abslibre-069bf1c8c8b2eea3dc8480080a549daea63c184e.zip
ghostscript-libre-9.00-3
Diffstat (limited to 'libre')
-rw-r--r--libre/ghostscript-libre/PKGBUILD67
-rw-r--r--libre/ghostscript-libre/ghostscript-fPIC.patch20
-rw-r--r--libre/ghostscript-libre/ghostscript-system-jasper.patch26
3 files changed, 113 insertions, 0 deletions
diff --git a/libre/ghostscript-libre/PKGBUILD b/libre/ghostscript-libre/PKGBUILD
new file mode 100644
index 000000000..ada545c8e
--- /dev/null
+++ b/libre/ghostscript-libre/PKGBUILD
@@ -0,0 +1,67 @@
+# $Id: PKGBUILD 94631 2010-10-08 20:42:27Z andyrtr $
+# Maintainer: AndyRTR <andyrtr@archlinux.org>
+# Maintainer (Parabola): xihh
+
+pkgname=ghostscript-libre
+pkgver=9.00
+pkgrel=3
+pkgdesc="An interpreter for the PostScript language without non-free files"
+arch=('i686' 'x86_64')
+license=('GPL3') #non free files removed
+depends=('libxext' 'libxt' 'libcups>=1.4.2-3' 'fontconfig>=2.8.0' 'gnutls>=2.8.5' 'cairo>=1.8.8-2'
+ 'jasper>=1.900.1-4' 'zlib' 'libpng>=1.4.0' 'libjpeg>=8')
+makedepends=('automake' 'autoconf' 'gtk2>=2.18.6')
+optdepends=('texlive-core: dvipdf'
+ 'gtk2: gsx')
+conflicts=('ghostscript')
+replaces=('ghostscript-lrpng' 'ghostscript')
+provides=('ghostscript-lprng' "ghostscript=${pkgver}")
+url="http://www.ghostscript.com/"
+source=(http://ghostscript.com/releases/ghostscript-${pkgver}.tar.xz
+ ghostscript-fPIC.patch
+ ghostscript-system-jasper.patch)
+options=('!libtool' '!makeflags')
+md5sums=('1ca5f245677f78f573e6490bdb40702f'
+ '766d44c47c693f96941b658e360c1277'
+ '03e27cd02471ab3b642c344fa06b623e')
+
+build() {
+ cd ${srcdir}/ghostscript-${pkgver}
+ # force it to use system-libs
+ rm -rf jpeg libpng zlib jasper expat
+ # delete non-free packages
+ grep -l "are not altered" Resource/CMap/* | xargs rm -f
+ # fix build with systems jasper
+ patch -Np1 -i ${srcdir}/ghostscript-system-jasper.patch || return 1
+
+ if [ "$CARCH" = "x86_64" ]; then
+ patch -Np1 -i ${srcdir}/ghostscript-fPIC.patch || return 1
+ fi
+
+ # Build IJS
+ cd ${srcdir}/ghostscript-${pkgver}/ijs
+ ./autogen.sh
+ ./configure --prefix=/usr --enable-shared --disable-static
+ make || return 1
+ make -j1 DESTDIR=${pkgdir} install || return 1
+
+ cd ..
+ ./autogen.sh
+ ./configure --prefix=/usr --enable-dynamic --with-ijs \
+ --with-jbig2dec --with-omni --with-x --with-drivers=ALL\
+ --with-fontpath=/usr/share/fonts/Type1:/usr/share/fonts \
+ --disable-compile-inits # needed for linking with system-zlib
+ make || return 1
+ make -j1 DESTDIR=${pkgdir} \
+ cups_serverroot=${pkgdir}/etc/cups \
+ cups_serverbin=${pkgdir}/usr/lib/cups install soinstall
+
+ # install a missing doc files # http://bugs.archlinux.org/task/18023
+ install -m 644 ${srcdir}/ghostscript-${pkgver}/doc/{Ps2ps2.htm,gs-vms.hlp,gsdoc.el,pscet_status.txt} ${pkgdir}/usr/share/ghostscript/$pkgver/doc/
+
+ mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}
+ install -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/
+
+ # remove unwanted localized man-pages
+ rm -rf $pkgdir/usr/share/man/[^man1]*
+}
diff --git a/libre/ghostscript-libre/ghostscript-fPIC.patch b/libre/ghostscript-libre/ghostscript-fPIC.patch
new file mode 100644
index 000000000..6f8999696
--- /dev/null
+++ b/libre/ghostscript-libre/ghostscript-fPIC.patch
@@ -0,0 +1,20 @@
+--- ghostscript-8.60-r8112/base/lib.mak.fPIC 2007-07-10 17:03:11.000000000 +0100
++++ ghostscript-8.60-r8112/base/lib.mak 2007-07-10 17:05:56.000000000 +0100
+@@ -874,7 +874,7 @@
+ $(GLOBJ)gsparamx.$(OBJ) : $(GLSRC)gsparamx.c $(string__h)\
+ $(gserror_h) $(gserrors_h) $(gsmemory_h) $(gsparam_h) $(gsparamx_h)\
+ $(gstypes_h)
+- $(GLCC) $(GLO_)gsparamx.$(OBJ) $(C_) $(GLSRC)gsparamx.c
++ $(GLCCSHARED) $(GLO_)gsparamx.$(OBJ) $(C_) $(GLSRC)gsparamx.c
+
+ # Future replacement for gsparams.c
+ $(GLOBJ)gsparam2.$(OBJ) : $(GLSRC)gsparam2.c $(GXERR) $(memory__h)\
+@@ -1077,7 +1077,7 @@
+
+ # Provide a mapping between StandardEncoding and ISOLatin1Encoding.
+ $(GLOBJ)gdevemap.$(OBJ) : $(GLSRC)gdevemap.c $(AK) $(std_h)
+- $(GLCC) $(GLO_)gdevemap.$(OBJ) $(C_) $(GLSRC)gdevemap.c
++ $(GLCCSHARED) $(GLO_)gdevemap.$(OBJ) $(C_) $(GLSRC)gdevemap.c
+
+ ###### Create a pseudo-"feature" for the entire graphics library.
+
diff --git a/libre/ghostscript-libre/ghostscript-system-jasper.patch b/libre/ghostscript-libre/ghostscript-system-jasper.patch
new file mode 100644
index 000000000..444b76029
--- /dev/null
+++ b/libre/ghostscript-libre/ghostscript-system-jasper.patch
@@ -0,0 +1,26 @@
+diff -up ghostscript-8.64/base/sjpx.c.system-jasper ghostscript-8.64/base/sjpx.c
+--- ghostscript-8.64/base/sjpx.c.system-jasper 2008-08-21 00:22:49.000000000 +0100
++++ ghostscript-8.64/base/sjpx.c 2009-02-04 11:35:56.000000000 +0000
+@@ -34,14 +34,6 @@ static void s_jpxd_set_defaults(stream_s
+ private_st_jpxd_state(); /* creates a gc object for our state,
+ defined in sjpx.h */
+
+-/* error reporting callback for the jpx library */
+-static void
+-s_jpx_jas_error_cb(jas_error_t err, char *msg)
+-{
+- dprintf2("jasper (code %d) %s", (int)err, msg);
+-}
+-
+-
+ /* initialize the steam.
+ this involves allocating the stream and image structures, and
+ initializing the decoder.
+@@ -59,7 +51,6 @@ s_jpxd_init(stream_state * ss)
+ }
+
+ status = jas_init();
+- jas_set_error_cb(s_jpx_jas_error_cb);
+ #ifdef JPX_DEBUG
+ /* raise the error reporting threshold from the default (0) */
+ jas_setdbglevel(1);